// 
// Copyright 2016 Agencia Estatal de Administración Tibutaria
//
// Licencia con arreglo a la EUPL, Versión 1.1 o -en cuanto
// sean aprobadas por la Comisión Europea- versiones
// posteriores de la EUPL (la «Licencia»);
// Solo podrá usarse esta obra si se respeta la Licencia.
// Puede obtenerse una copia de la Licencia en:
//  
// https://joinup.ec.europa.eu/software/page/eupl
//  
// Salvo cuando lo exija la legislación aplicable o se acuerde
// por escrito, el programa distribuido con arreglo a la
// Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
// DE NINGÚN TIPO, ni expresasni implícitas.
//
// Véase la Licencia en el idioma concreto que rige los permisos y 
// limitaciones que establece la Licencia.
// 

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace InstaladorATENEO
{
    public partial class FPedirPas : Form
    {
        public string nuevaPass1 = "";
        public FPedirPas()
        {
            InitializeComponent();
            nuevaPass1 = "";
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (textBox1.Text.Trim().Length < 5)
            {
                return;
            }
           if ( comprobarUsuario(this.textBox1.Text.Trim()) == -1 ){
               MessageBox.Show("Error en password");
               return;
           }
           this.Close();
        }

        int comprobarUsuario(string pass)
        {
            try
            {
                string sCnn = "data source =localhost\\Ateneo; initial catalog = Master; user id = sa; password = " + pass;
                string sSel = "select COUNT(*) as Total from master.dbo.syslogins where loginname = 'ServidorAteneo'";
                SqlConnection con = new SqlConnection(sCnn);
                con.Open();
                SqlCommand cmd = new SqlCommand(sSel, con);
                int total = 0;
                SqlDataReader reader = cmd.ExecuteReader();

                while (reader.Read())
                {

                    total = (int)reader[0];

                }
                reader.Close();
                con.Close();
                nuevaPass1 = pass;
                return total;
            }
            catch (SqlException ew)
            {
                return -1;
            }



        }

      
    }
}
